Skip to navigation

Get DocumentPartUnstructuredTable by ID

Beta
Get a single DocumentPartUnstructuredTable by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document_part_unstructured_table_idstringRequired
ID of the DocumentPartUnstructuredTable.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
captionobject or nullOptional
Specifies the rich text caption displayed with the table. Null if the table has no caption.
columnDefinitionslist of objectsOptional
Lists column definitions for the table.
createdAtstringOptionalformat: "datetime"
Timestamp inherited from the document content backing this part. For entry and document content, this can reflect when the containing document was created, not when the DocumentPart identifier was created.
idstringOptional
Identifies the document part.
indentationintegerOptional
Specifies the indentation level for this content within the document.
isEvaluatedbooleanOptional
Specifies whether formula evaluation has been applied to the table.
modifiedAtstringOptionalformat: "datetime"
Specifies when this document part was last modified.
modifierobject or nullOptional
Identifies who last modified this document part.
namestringOptional
Specifies the display name of the table.
rowCountintegerOptional
Specifies the number of rows in the table.
rowsstringOptionalformat: "uri"
Lists rows in the table, in row order.
versionMetadataobjectOptional
Specifies version metadata for the parent document.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error